Documents

Data Source List

GET
/documents/datasource/list

Returns a paginated, optionally filtered and sorted list of data sources.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Query Parameters

top?integer

Maximum number of records to return (page size).

skip?integer

Number of records to skip (page offset).

orderby?string

Sort clause in the form Column|DIRECTION, e.g. Name|DESC. The column and direction are separated by a pipe (|).

filter?string

URL-encoded JSON array of filter clauses (see FilterDTO). Example (decoded): [{"key":"Filter1","column":"Name","type":"string","condition":"CONTAINS","value":"Invoice"}].

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/documents/datasource/list"
{  "result": {    "data": {      "dataSources": [        {          "dataSourceGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",          "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",          "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",          "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",          "name": "Q3 Sales Report Data",          "description": "Account records used for quarterly reports.",          "urn": "a4f8c9d2-6b3e-4f1a-9c7d-2e5b8a1f4d6c",          "query": "",          "variables": "",          "loadMethod": "Storage",          "createdDate": "2026-07-14T09:30:00.000Z",          "lastModifiedDate": "2026-07-14T09:30:00.000Z",          "isDeleted": false        }      ],      "rowCount": 1    },    "statusCode": 200,    "message": "OK"  },  "origin": "GET https://api.doctavian.com/v1/documents/datasource/list",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "be461382362396dc52b1a175cacd78c9",  "userId": "f922bc31-075e-4e27-ae85-68c9a02ed3f7"}
{  "userId": "43ed5b22-deca-4206-84b5-209b587f5cff",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/datasource/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "92b01f17a1a22146ef693c1bc138e060"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/datasource/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "e4b12f89672491a48a24dc555dffeb78",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/datasource/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "3ea381a30a55ffa2e2fe3e060987816b",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "9beeda99-4fd6-4383-be2f-9a8d27036eb0",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/datasource/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "e74c2d992c50cbf0a2fba40cc6f68b23"}